Get the output types of an asset instance

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/asset-instances/{asset_instance_id}/entities/{temporal_entity_id}/output-types

Get the output types of the output files of an asset instance. An asset instance is a copy of an asset in a shot or a scene. The temporal entity is this shot or this scene.

Path parameters

  • asset_instance_id string(uuid) Required

    Asset instance unique identifier

  • temporal_entity_id string(uuid) Required

    Temporal entity unique identifier

Responses

  • 200 application/json

    The list of output types

    Hide response attributes Show response attributes object
    • id string(uuid)

      Output type unique identifier

    • name string

      Output type name

    • short_name string

      Output type short name

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

  • 403

    You do not have access to this project

  • 404

    The asset instance does not exist

GET /data/asset-instances/{asset_instance_id}/entities/{temporal_entity_id}/output-types
curl -X GET "http://api.example.com/data/asset-instances/a24a6ea4-ce75-4665-a070-57453082c25/entities/b35b7fb5-df86-5776-b181-68564193d36/output-types" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/asset-instances/a24a6ea4-ce75-4665-a070-57453082c25/entities/b35b7fb5-df86-5776-b181-68564193d36/output-types"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "c46c80c6-e097-6887-c292-79675204e470",
    "name": "Render",
    "short_name": "RENDER",
    "created_at": "2023-01-01T12:00:00Z",
    "updated_at": "2023-01-01T12:30:00Z"
  }
]